<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>iParameter Struct Reference (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">iParameter Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="iParameter" --><!-- doxytag: inherits="iBase" -->
<p>This interface represents a parameter to a sequence, trigger, or reward.  
 <a href="structiParameter.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="parameters_8h_source.html">tools/parameters.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for iParameter:</div>
<div class="dyncontent">
 <div class="center">
  <img src="structiParameter.png" usemap="#iParameter_map" alt=""/>
  <map id="iParameter_map" name="iParameter_map">
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html" alt="iBase" shape="rect" coords="0,0,73,24"/>
</map>
 </div></div>

<p><a href="structiParameter-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiParameter.html#a0e867fb6c039cdca1a35a5a0af089436">Get</a> (<a class="el" href="structiCelParameterBlock.html">iCelParameterBlock</a> *params)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the value of this expression as a string.  <a href="#a0e867fb6c039cdca1a35a5a0af089436"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiParameter.html#ab437db1f5815aede3226bdf0dca6bad9">Get</a> (<a class="el" href="structiCelParameterBlock.html">iCelParameterBlock</a> *params, bool &amp;changed)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the value of this expression as a string.  <a href="#ab437db1f5815aede3226bdf0dca6bad9"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual const <a class="el" href="structcelData.html">celData</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiParameter.html#a389241657ce5b70c74c0f2190d0455a7">GetData</a> (<a class="el" href="structiCelParameterBlock.html">iCelParameterBlock</a> *params)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get this variable as its correct datatype.  <a href="#a389241657ce5b70c74c0f2190d0455a7"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#gab7903878916593daecbeb95b98115ab0">int32</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiParameter.html#aeb0b64530a715654888c92b4af56a41a">GetLong</a> (<a class="el" href="structiCelParameterBlock.html">iCelParameterBlock</a> *params)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the value of this expression as a long.  <a href="#aeb0b64530a715654888c92b4af56a41a"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>This interface represents a parameter to a sequence, trigger, or reward. </p>
<p>The paramater plugin provides different types of parameters (constant, static parameters ($notation), dynamic parameters (), or expressions (=notation). This interface makes abstraction of those. </p>

<p>Definition at line <a class="el" href="parameters_8h_source.html#l00060">60</a> of file <a class="el" href="parameters_8h_source.html">parameters.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a0e867fb6c039cdca1a35a5a0af089436"></a><!-- doxytag: member="iParameter::Get" ref="a0e867fb6c039cdca1a35a5a0af089436" args="(iCelParameterBlock *params)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual const char* <a class="el" href="structiParameter.html#a0e867fb6c039cdca1a35a5a0af089436">iParameter::Get</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiCelParameterBlock.html">iCelParameterBlock</a> *&#160;</td>
          <td class="paramname"><em>params</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the value of this expression as a string. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">params</td><td>is an optional parameter block given to the reward. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ab437db1f5815aede3226bdf0dca6bad9"></a><!-- doxytag: member="iParameter::Get" ref="ab437db1f5815aede3226bdf0dca6bad9" args="(iCelParameterBlock *params, bool &amp;changed)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual const char* <a class="el" href="structiParameter.html#a0e867fb6c039cdca1a35a5a0af089436">iParameter::Get</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiCelParameterBlock.html">iCelParameterBlock</a> *&#160;</td>
          <td class="paramname"><em>params</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool &amp;&#160;</td>
          <td class="paramname"><em>changed</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the value of this expression as a string. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">params</td><td>is an optional parameter block given to the reward. </td></tr>
    <tr><td class="paramname">changed</td><td>is set to true if the returned value is different from the last time <a class="el" href="structiParameter.html#a0e867fb6c039cdca1a35a5a0af089436" title="Get the value of this expression as a string.">Get()</a> was called. Note! This doesn't work if you call the <a class="el" href="structiParameter.html#a0e867fb6c039cdca1a35a5a0af089436" title="Get the value of this expression as a string.">Get()</a> with only one parameter above! </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a389241657ce5b70c74c0f2190d0455a7"></a><!-- doxytag: member="iParameter::GetData" ref="a389241657ce5b70c74c0f2190d0455a7" args="(iCelParameterBlock *params)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual const <a class="el" href="structcelData.html">celData</a>* <a class="el" href="structiParameter.html#a389241657ce5b70c74c0f2190d0455a7">iParameter::GetData</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiCelParameterBlock.html">iCelParameterBlock</a> *&#160;</td>
          <td class="paramname"><em>params</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get this variable as its correct datatype. </p>

</div>
</div>
<a class="anchor" id="aeb0b64530a715654888c92b4af56a41a"></a><!-- doxytag: member="iParameter::GetLong" ref="aeb0b64530a715654888c92b4af56a41a" args="(iCelParameterBlock *params)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#gab7903878916593daecbeb95b98115ab0">int32</a> <a class="el" href="structiParameter.html#aeb0b64530a715654888c92b4af56a41a">iParameter::GetLong</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiCelParameterBlock.html">iCelParameterBlock</a> *&#160;</td>
          <td class="paramname"><em>params</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the value of this expression as a long. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">params</td><td>is an optional parameter block given to the reward. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>tools/<a class="el" href="parameters_8h_source.html">parameters.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
